package com.mogo.cloud.live.listener;

/**
 * 直播进度监听
 */
public interface ILiveProgressListener {

    /**
     * 开始
     */
    default void onEngineStart() {
    }

    /**
     * 结束
     */
    default void onEngineStop() {
    }

    /**
     * 调试错误信息回调
     *
     * @param errorCode 错误码，详情请参考 常见错误码文档 https://doc-zh.zego.im/zh/4378.html
     * @param funcName  函数名
     * @param errorInfo 错误的详细信息
     */
    void onDebugError(int errorCode, String funcName, String errorInfo);

}
